"""Module containing functionality to interact with the filesystem"""

import os

from maildirclean.maildir import MailDir, TopSender


def delete_all_from_selected_email(selected_senders: list[TopSender], maildir: MailDir):
    for sender in selected_senders:
        delete_files(maildir.get_paths_for_email(sender.email))
        maildir.remove_email(sender.email)


def delete_files(file_list: list[str]):
    """Delete all files in the provided file list

    Args:
        file_list: List of file paths as either strings or Path
    """
    for file in file_list:
        os.remove(file)
